using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TriggerPasserC : MonoBehaviour
{
    public System.Action<GameObject> OnTrigger = null;
    public System.Action<GameObject> OnAnimationDone = null;

    public void OnTriggerEnter2D(Collider2D collider)
    {
        this.OnTrigger?.Invoke(collider.gameObject);
    }

    public void Done()
    {
        this.OnAnimationDone?.Invoke(this.gameObject);
    }
}
